## gosop 0.0~git20221115.92fc880

=== Makefile ===
verbosity := 0

clean: ## Remove previous builds
	@rm -rf data bin/gosop

install-linters:
	go install -u golang.org/x/lint/golint
	go install github.com/golangci/golangci-lint/cmd/golangci-lint

lint:
	golint -set_exit_status ./... && golangci-lint run ./...

test:  ## Run example script
	bash scripts/tests.sh gosop -v $(verbosity)

## gosop 0.0~git20220512.966ec01

=== debian/changelog ===
gosop (0.0~git20220512.966ec01-2ubuntu0.1) kinetic-security; urgency=medium

  * No-change rebuild for golang-golang-x-text

 -- Eduardo Barretto <eduardo.barretto@canonical.com>  Mon, 13 Feb 2023 17:15:52 +0100

gosop (0.0~git20220512.966ec01-2) unstable; urgency=medium

  * Team upload.
  * source-only upload for testing migration.

 -- Nilesh Patra <nilesh@debian.org>  Fri, 05 Aug 2022 09:34:20 +0530

gosop (0.0~git20220512.966ec01-1) unstable; urgency=medium

  * Initial release (Closes: #964752)

 -- Martin Dosch <martin@mdosch.de>  Tue, 26 Jul 2022 23:05:13 +0530

=== debian/control ===
Source: gosop
Section: golang
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Martin Dosch <martin@mdosch.de>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               golang-github-protonmail-go-crypto-dev,
               golang-github-protonmail-gopenpgp-dev,
               golang-github-urfave-cli-v2-dev
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/go-team/packages/gosop
Vcs-Git: https://salsa.debian.org/go-team/packages/gosop.git
Homepage: https://github.com/ProtonMail/gosop
XS-Go-Import-Path: github.com/ProtonMail/gosop

Package: gosop
Section: utils
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: Stateless CLI for GopenPGP (program)
 The Stateless OpenPGP CLIknown as SOP, is an RFC specification that aims to
 provide a minimal API for any implementation of the OpenPGP protocol, in
 the form of a command-line Interface. SOP can be used to test
 interoperability between different implementations of OpenPGP; the
 OpenPGP interoperability Test Suite (https://tests.sequoia-pgp.org/)
 reports results using several SOP implementations. For more information,
 please refer to the specification (https://tools.ietf.org/html/draft-dkg-
 openpgp-stateless-cli-01).

## gosop 0.0~git20220831.2c43d87

=== debian/changelog ===
gosop (0.0~git20220831.2c43d87-1) unstable; urgency=medium

  * New upstream version.

 -- Martin Dosch <martin@mdosch.de>  Sat, 24 Sep 2022 22:09:24 +0200

## gosop 0.0~git20221115.92fc880

=== debian/changelog ===
gosop (0.0~git20221115.92fc880-1) unstable; urgency=medium

  * New upstream version.

 -- Martin Dosch <martin@mdosch.de>  Wed, 16 Nov 2022 11:28:47 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: gosop
 Section: golang
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Martin Dosch <martin@mdosch.de>
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
  https://github.com/ProtonMail/gosop.git \
  HEAD debian

# Use the following when upstream starts to tag releases:
#
#version=4
#opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
#      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
#  https://github.com/ProtonMail/gosop/tags .*/v?(\d\S*)\.tar\.gz debian

## gosop 0.1.0

=== debian/changelog ===
gosop (0.1.0-3ubuntu0.24.04.3) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Tue, 24 Jun 2025 16:50:36 +1000

gosop (0.1.0-3ubuntu0.24.04.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Fri, 01 Nov 2024 14:13:01 +0100

gosop (0.1.0-3ubuntu0.24.04.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Mon, 15 Jul 2024 23:22:37 +0530

gosop (0.1.0-3) unstable; urgency=medium

  * d/control: Add build dependency on ronn.
  * d/rules: Rebuild manpage from source.
  * d/control: Use unnecessary "(program)" in description.
  * d/control: Add build dependency on ronn.

 -- Martin Dosch <martin@mdosch.de>  Fri, 09 Feb 2024 03:56:01 +0000

gosop (0.1.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Martin Dosch <martin@mdosch.de>  Sat, 17 Jun 2023 20:26:03 +0000

gosop (0.1.0-1) experimental; urgency=medium

  * New upstream version 0.1.0
  * Use upstream manpage.
  * d/control: Bump standards version (no change).
  * d/watch: Change to tagged releases.

 -- Martin Dosch <martin@mdosch.de>  Sat, 17 Jun 2023 20:22:06 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: gosop
 Section: golang
 Priority: optional
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Martin Dosch <martin@mdosch.de>
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
@@ -9,9 +10,10 @@
                golang-any,
                golang-github-protonmail-go-crypto-dev,
                golang-github-protonmail-gopenpgp-dev,
-               golang-github-urfave-cli-v2-dev
+               golang-github-urfave-cli-v2-dev,
+               ronn,
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/gosop
 Vcs-Git: https://salsa.debian.org/go-team/packages/gosop.git
 Homepage: https://github.com/ProtonMail/gosop
@@ -23,7 +25,7 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Built-Using: ${misc:Built-Using}
-Description: Stateless CLI for GopenPGP (program)
+Description: Stateless CLI for GopenPGP
  The Stateless OpenPGP CLIknown as SOP, is an RFC specification that aims to
  provide a minimal API for any implementation of the OpenPGP protocol, in
  the form of a command-line Interface. SOP can be used to test

## gosop 1.1.0

=== Makefile ===
--- 
+++ 
@@ -11,4 +11,6 @@
 	golint -set_exit_status ./... && golangci-lint run ./...
 
 test:  ## Run example script
-	bash scripts/tests.sh gosop -v $(verbosity)
+	bash scripts/tests.sh gosop -v $(verbosity) rfc4880 rfc4880
+	bash scripts/tests.sh gosop -v $(verbosity) draft-koch-eddsa-for-openpgp-00 rfc4880
+	bash scripts/tests.sh gosop -v $(verbosity) draft-ietf-openpgp-crypto-refresh-10 draft-ietf-openpgp-crypto-refresh-10

=== debian/changelog ===
gosop (1.1.0-3) unstable; urgency=medium

  * Sopv alternatives: drop manpage symlink. (Closes: #1104321)

 -- Martin Dosch <martin@mdosch.de>  Tue, 29 Apr 2025 17:10:54 +0000

gosop (1.1.0-2) unstable; urgency=medium

  * d/gosop.alternatives: Add sopv manpage (Closes: #1093055).
  * Run wrap-and-sort -ast on debian/.

 -- Martin Dosch <martin@mdosch.de>  Fri, 17 Jan 2025 18:20:10 +0000

gosop (1.1.0-1) unstable; urgency=medium

  * New upstream version 1.1.0 (Closes: #1087749).
  * d/control: Add Provides: sopv (= 1.0) (Closes: #1087540).
  * d/gosop.alternatives: Add sopv alternative.

 -- Martin Dosch <martin@mdosch.de>  Fri, 22 Nov 2024 18:20:33 +0000

gosop (1.0.0-1) unstable; urgency=medium

  * New upstream version 1.0.0
  * d/control: Increase build-deps.
  * d/control: Add build-dep on golang-github-protonmail-gopenpgp-v3-dev.
  * d/changelog: Don't use hyphen in upstream version part.

 -- Martin Dosch <martin@mdosch.de>  Tue, 12 Nov 2024 19:12:36 +0000

gosop (0.1.0+gopenpgp.v3-1) experimental; urgency=medium

  * New upstream version 0.1.0+gopenpgp-v3
  * d/changelog: Fix typo and remove duplicate line.
  * d/control: Bump standards version to 4.7.0 (no change).

 -- Martin Dosch <martin@mdosch.de>  Thu, 08 Aug 2024 18:38:39 +0000

=== debian/control ===
Source: gosop
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Martin Dosch <martin@mdosch.de>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-golang,
 golang-any,
 golang-github-protonmail-go-crypto-dev (>=1.1.0~),
 golang-github-protonmail-gopenpgp-v3-dev,
 golang-github-urfave-cli-v2-dev,
 ronn,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/gosop
Vcs-Git: https://salsa.debian.org/go-team/packages/gosop.git
Homepage: https://github.com/ProtonMail/gosop
XS-Go-Import-Path: github.com/ProtonMail/gosop

Package: gosop
Provides:
 sopv (= 1.0),
Section: utils
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Built-Using:
 ${misc:Built-Using},
Recommends:
 sopv-doc,
Description: Stateless CLI for GopenPGP
 The Stateless OpenPGP CLIknown as SOP, is an RFC specification that aims to
 provide a minimal API for any implementation of the OpenPGP protocol, in
 the form of a command-line Interface. SOP can be used to test
 interoperability between different implementations of OpenPGP; the
 OpenPGP interoperability Test Suite (https://tests.sequoia-pgp.org/)
 reports results using several SOP implementations. For more information,
 please refer to the specification (https://tools.ietf.org/html/draft-dkg-
 openpgp-stateless-cli-01).

=== debian/watch ===
#version=4
#opts="mode=git, pgpmode=none" \
#  https://github.com/ProtonMail/gosop.git \
#  HEAD debian
#
# Use the following when upstream starts to tag releases:
#
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/ProtonMail/gosop/tags .*/v?(\d\S*)\.tar\.gz debian
